<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FlightBooking StructType
 * @subpackage Structs
 */
class FlightBooking extends AbstractStructBase
{
    /**
     * The FlightBookingRQ
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_FlightBooking
     */
    public $FlightBookingRQ;
    /**
     * Constructor method for FlightBooking
     * @uses FlightBooking::setFlightBookingRQ()
     * @param \StructType\JP_FlightBooking $flightBookingRQ
     */
    public function __construct(\StructType\JP_FlightBooking $flightBookingRQ = null)
    {
        $this
            ->setFlightBookingRQ($flightBookingRQ);
    }
    /**
     * Get FlightBookingRQ value
     * @return \StructType\JP_FlightBooking|null
     */
    public function getFlightBookingRQ()
    {
        return $this->FlightBookingRQ;
    }
    /**
     * Set FlightBookingRQ value
     * @param \StructType\JP_FlightBooking $flightBookingRQ
     * @return \StructType\FlightBooking
     */
    public function setFlightBookingRQ(\StructType\JP_FlightBooking $flightBookingRQ = null)
    {
        $this->FlightBookingRQ = $flightBookingRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\FlightBooking
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
